Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws.impl
Class SimpleStateTransition

    java.lang.Object
      org.apache.muse.ws.dm.muws.impl.SimpleStateTransition

All Implemented Interfaces:
  StateTransition, XmlSerializable

public class SimpleStateTransition
extends java.lang.Object
implements StateTransition

SimpleStateTransition represents the muws2:StateTransition property defined by the WSDM State capability.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`SimpleStateTransition(org.w3c.dom.Element xml)`
`SimpleStateTransition(StateType previous, StateType entered)`

Method Summary
`StateType` | `getEnteredState()`
`StateType` | `getPreviousState()`
`java.util.Date` | `getTransitionTime()`
`org.w3c.dom.Element` | `toXML()` Converts this object into an XML representation, as defined by its related schema or specification.
`org.w3c.dom.Element` | `toXML(org.w3c.dom.Document doc)` Converts this object into an XML representation, as defined by its related schema or specification.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleStateTransition

    public SimpleStateTransition(org.w3c.dom.Element xml)
                          throws BaseFault

Parameters:
  `xml` - The DOM Element representing the state transition.

### SimpleStateTransition

    public SimpleStateTransition(StateType previous,
                                 StateType entered)

Parameters:
  `previous` - The state the owning resource was in previously. This can be null for new resources that had no initial state.
  `entered` - The state the owning resource just entered. This is usually equivalent to its current state.

Method Detail

### getEnteredState

    public StateType getEnteredState()

  Specified by:
    `getEnteredState` in interface `StateTransition`
  Returns:
    The state the resource entered during the transition.

### getPreviousState

    public StateType getPreviousState()

  Specified by:
    `getPreviousState` in interface `StateTransition`
  Returns:
    The state the resource left during the transition. This is null if there was no previous state.

### getTransitionTime

    public java.util.Date getTransitionTime()

  Specified by:
    `getTransitionTime` in interface `StateTransition`
  Returns:
    The time that the transition occurred.

### toXML

    public org.w3c.dom.Element toXML()

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Returns:
    An XML representation of this object.

### toXML

    public org.w3c.dom.Element toXML(org.w3c.dom.Document doc)

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Parameters:
    `doc` - The DOM Document that will be used to create all of the nodes in the resulting XML fragment.
  Returns:
    An XML representation of this object.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD